<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="../../static/css/integrales/rectangulos.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ho+j7jyWK8fNQe+A12Hb8AhRq26LrZ/JpcUGGOn+Y7RsweNrtN/tE3MoK7ZeZDyx" crossorigin="anonymous"></script>
    <link rel="shortcut icon" href="{{ url_for('static', filename='./images/pi.png') }}">
    <title>Bisección</title> 
</head>

<body>

    <!-- ESTO ES EL NAVBAR -->
    <nav class="navbar navbar-expand-lg  fixed-top  navbar-dark" style="background-color: #339dee;">
      <a class="navbar-brand" href="./">
          <img src="../static/images/math.png" width="45" height="45" alt="" loading="lazy" style="margin-left: 10px;">
      </a>
          <a class="navbar-brand" href="./" style="margin-right: 25px;">NumeriCalc</a>
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavDropdown" aria-controls="navbarNavDropdown" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarNavDropdown">
            <ul class="navbar-nav">
              <li class="nav-item active">
                <a class="nav-link" href="./">Home <span class="sr-only">(current)</span></a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="./derivadas">Derivada</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="./graficadora">Graficadora</a>
              </li>
              <li class="nav-item dropdown">
                  <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    Conversiones
                  </a>
                  <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                    <a class="dropdown-item" href="./bases">Entre Bases</a>
                    <a class="dropdown-item" href="./standardieee754">Estándar IEE 754</a>
                  </div>
              </li>
              <li class="nav-item dropdown">
                  <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    Raíces
                  </a>
                  <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                    <a class="dropdown-item" href="./biseccion">Bisección</a>
                    <a class="dropdown-item" href="./reglafalsa">Regla Falsa</a>
                    <a class="dropdown-item" href="./newtonraphson">Newton-Raphson</a>
                    <a class="dropdown-item" href="./secante">Secante</a>
                    <a class="dropdown-item" href="/raicespolinomios">Raíces de Polinomios</a>
                  </div>
              </li>
              <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                  Integrales
                </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                  <a class="dropdown-item" href="./rectangulos">Rectángulos</a>
                  <a class="dropdown-item" href="./trapecios">Trapecios</a>
                  <a class="dropdown-item" href="./simpson13">Simpson 1/3</a>
                  <a class="dropdown-item" href="./simpson38">Simpson 3/8</a>
                  <a class="dropdown-item" href="./montecarlo">Montecarlo</a>
                </div>
              </li>   
              <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                  Matrices
                </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                  <a class="dropdown-item" href="./sumaresta">Suma y Resta</a>                          
                  <a class="dropdown-item" href="./detInvTras">Determinante, Traspuesta, Inversa</a>   
                  <a class="dropdown-item" href="./matrizMultiplicacion">Multiplicación</a>             
                  <a class="dropdown-item" href="./gaussJordan">Gauss Jordan</a>
                </div>
              </li>     
              <li class="nav-item">
                <a class="nav-link" href="./ajusteCurvas">Ajuste de Crurvas</a>
              </li>             
              <li class="nav-item" style="margin-left: 720px;">
                  <a class="nav-link" href="./nosotros">Sobre Nosotros</a>
              </li>
            </ul>              
          </div>
  </nav>



    <!-- ESTO ES EL CONTENIDO -->
  <div class="page">

    <div class="textContent">
        <h3 class="text-left" style="margin-top:20px; color:#1689e0;" >
          Método de Bisección
        </h3>
    
        <p class="text-left" style="margin-right: 200px;">
            Este método consiste en tomar un intervalo [x0,x1], el cual debe cumplir con que f(x0)f(x1)  sean menor que cero. El intervalo se va reduciendo sucesivamente hasta lograr que sea tan pequeño que cumpla con la condición de precisión que se esté utilizando.
        </p>
    </div>

    <div class="content">
        <form action="/biseccion" method="post">
            <div class="form-group" style="width: 600px;">
                <label>Función </label>
                <input class="form-control" placeholder="Ej: f(x)=x**2 +3x" type="text" name="funcion" id="funcion" value="{{funcion}}">
            </div>
            <div class="form-group">
                <label>Valor del extremo izquierdo </label>
                <input class="form-control" placeholder="Ej: -1" type="text" name="izq" id="izq" value="{{izq}}">
            </div>
            <div class="form-group">
                <label>Valor del extremo derecho </label>
                <input class="form-control" placeholder="Ej: 1" type="text" name="der" id="der" value="{{der}}">
            </div>
            <div class="form-group">
                <label>Error </label>
                <input  class="form-control" placeholder="Ej: 0.0001" type="text" name="error" id="error" value="{{error}}">
            </div>
            <!-- <input type="submit" name="Calcular" value="Calcular">
            <input type="submit" name="Borrar" value="Borrar"> -->
            <button class="btn btn-primary" style="width: 160px;" type="submit" name="Calcular"> Calcular</button>
            <button class="btn btn-primary" style="width: 160px;" type="submit" name="Borrar">Borrar</button>
        </form>
    </div>

    <div class="contentResultado">
        <h4 class="text-center" style=" width: 80%; color:#1689e0;" >
          Resultado
      </h4>
        <div class="tablaResultado">
          <table class="table table-bordered ">
            <thead>
              <tr style="background-color: #0881e4; color: white;">
                <th scope="col" style="text-align: center; font-weight: normal;">Raíz</th>
                <th scope="col" style="text-align: center; font-weight: normal;">Iteraciones</th>
                <th scope="col" style="text-align: center; font-weight: normal;">Error</th>
              </tr>
            </thead>
            <tbody>
              <tr>
                <td style="text-align: center;">{{resultado[5]}}</td>
                <td style="text-align: center;">{{resultado[0]}}</td>
                <td style="text-align: center;">{{resultado[7]}}</td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>

    <!-- <div>
        <p style="font-weight:bold; font-size:30px; color:green">La raíz {{resultado[5]}} fue hallada en {{resultado[0]}} iteraciones con un error de {{resultado[7]}}</p>
    </div> -->

  </div>

  <!-- ESTO ES EL FOOTER -->
  <footer id="sticky-footer" class="py-4 bg-dark text-white-50">
            <div class="container text-center">
            <small>Copyright &copy; NumeriCalc</small>
            </div>
  </footer>

</body>

</html>